complexType "ReportingRegime"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 8 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | ((name, supervisorRegistration*) | supervisorRegistration+)?, reportingRole?, reportingPurpose*, mandatorilyClearable?, exceedsClearingThreshold?, entityClassification?
</...>

Content Model Elements (8):

  entityClassification, exceedsClearingThreshold, mandatorilyClearable, name (in reportingRegime), | reportingPurpose, reportingRole (in reportingRegime), supervisorRegistration (in reportingRegime), supervisorRegistration (in reportingRegime)

All Direct / Indirect Based Elements (1):

  reportingRegime

Known Usage Locations

- As direct type of elements (1):
  reportingRegime

Annotation
Provides information about how the information in this message is applicable to a regulatory reporting process.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="ReportingRegime"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="name" type="ReportingRegimeName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="supervisorRegistration" type="SupervisorRegistration"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="supervisorRegistration" type="SupervisorRegistration"/> </xsd:choice> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingPurpose" type="ReportingPurpose"/> <!-- NB: the following field is still under discussion in the FpML Reporting Working Group and may be changed in subsquent drafts of the standard --> <!-- <xsd:element name="publiclyReportable" type="xsd:boolean" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">Whether the particular trade type in question is required to be publicly by this regulator. Note that this just says whether the regulator requires public reporting; use reportingPurpose to indicate whether the message is intended to provide public reporting.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element minOccurs="0" name="mandatorilyClearable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="exceedsClearingThreshold" type="xsd:boolean"/> <xsd:element minOccurs="0" name="entityClassification" type="EntityClassification"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
entityClassification

  Type: | EntityClassification, simple content

  Indicates the category or classification or business role of the organization referenced by the partyTradeInformation with respect to this reporting regime, for example Financial, NonFinancial etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entityClassification" type="EntityClassification"/>

exceedsClearingThreshold

  Type: | xsd:boolean, predefined, simple content

  Indicates whether the counterparty exceeds the volume threshold above which trades are required to be cleared.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exceedsClearingThreshold" type="xsd:boolean"/>

mandatorilyClearable

  Type: | xsd:boolean, predefined, simple content

  Whether the particular trade type in question is required by this regulator to be cleared.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mandatorilyClearable" type="xsd:boolean"/>

name

  Type: | ReportingRegimeName, simple content

  Identifies the reporting regime under which this data is reported. For example, Dodd-Frank, MiFID, HongKongOTCDRepository, ODRF
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="name" type="ReportingRegimeName"/>

reportingPurpose

  Type: | ReportingPurpose, simple content

  The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingPurpose" type="ReportingPurpose"/>

reportingRole

  Type: | ReportingRole, simple content

  Identifies the role of this party in reporting this trade for this regulator; roles could include ReportingParty and Voluntary reporting.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/>

supervisorRegistration

  Type: | SupervisorRegistration, complex content

  Identifies the specific regulator or other supervisory body for which this data is produced. For example, CFTC, SEC, UKFSA, ODRF, SFC, ESMA.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="supervisorRegistration" type="SupervisorRegistration"/>

supervisorRegistration

  Type: | SupervisorRegistration, complex content

  Identifies the specific regulator or other supervisory body for which this data is produced. For example, CFTC, SEC, UKFSA, ODRF, SFC, ESMA.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="supervisorRegistration" type="SupervisorRegistration"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.